Bug 863113 - Document missing BPMN 2.0 constructs
Document missing BPMN 2.0 constructs
Status: CLOSED WONTFIX
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: doc-BRMS_Business_Process_Management_Guide (Show other bugs)
BRMS 5.3.1
Unspecified Unspecified
unspecified Severity medium
: ---
: future
Assigned To: Eva Kopalova
Marek Baluch
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-04 09:10 EDT by Jiri Svitak
Modified: 2016-06-17 17:14 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-06 00:46:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Svitak 2012-10-04 09:10:01 EDT
The Business Process Management guide documents only basic BPMN2 constructs and has not changed for a very long time. Now both the engine and the web Designer support more of them. Here is the list of BPMN2 constructs which should be documented (some of them are already, but sometimes badly documented):

Start events:
Start Message Event
Start Timer Event
Start Escalation Event
Start Event
Start Conditional Event
Start Error Event
Start Compensation Event
Start Signal Event

Catching intermediate events:
Conditional Intermediate Event
Error Intermediate Event
Escalation Intermediate Event
Message Intermediate Event
Signal Intermediate Event
Timer Intermediate Event
Throwing intermediate events:
Escalation Intermediate Event
Message Intermediate Event
Signal Intermediate Event

End events:
Cancel End Event
Compensation End Event
End Event
Error End Event
Escalation End Event
Message End Event
Signal End Event
Terminate End Event

Few of these events are documented, the description is often deprecated or might miss important information. For example the error handling mechanism of the error events should be described more clearly.

Activities:
Send Task
Receive Task
Manual Task
AdHoc Subprocess

Message sending should be described and also the difference between using of Send/Receive Task and Message Events.

Gateways:
Inclusive Gateway
Event-based Gateway

And maybe other features like:
Swimlanes
Data Objects
Connecting Objects
Groups and Annotations
...
Comment 1 lcarlon 2013-03-06 00:46:41 EST
This is being worked on for BPMS 6, however, we won't be going back to add it into the BRMS 5 docs.

Note You need to log in before you can comment on or make changes to this bug.